Bug 991466 - No user created in live image
No user created in live image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 09:19 EDT by just18
Modified: 2013-08-17 08:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 13:59:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description just18 2013-08-02 09:19:43 EDT
Description of problem:
If you cancel the boot process i.e. at the cryptsetup password enter stage for an encrypted home partition and have enabled an persistent overlay every boot after that will get you into an uninitialized live system with no user to log in. 


Version-Release number of selected component (if applicable):
Fedora Image: Fedora-Live-KDE-x86_64-19-1.iso
Stick creation script: https://git.fedorahosted.org/cgit/livecd/tree/tools/livecd-iso-to-disk.sh blob(b0b51537fb9b371bc13648b0b20f200f4620f1d9)

Steps to Reproduce:
1. Create a live stick with encrypted home and persistent overlay
2. Boot until password entering and stop the boot there (i.e. ctrl + alt + del)
3. Boot the stick again

Actual results:
You get to the log-in screen and can't log in as no user is defined.

Expected results:
Auto log-in to the live system.

Additional info:
I tracked this bug down to the /etc/rc.d/init.d/livesys init script in the squashfs.img of the live iso. There is a line that says:

if [ -e /.liveimg-configured ] ; then
    configdone=1
fi

This would be fine if not just 5 lines later where a
touch /.liveimg-configured

In my opinion this file should only be created AFTER the actual initialization has finished at the end of the script not in the beginning.
Comment 1 Rex Dieter 2013-08-02 09:39:31 EDT
triage to livecd-tools
Comment 2 Brian Lane 2013-08-02 19:50:14 EDT
livesys is part of spin-kickstarts
Comment 3 Kevin Fenzi 2013-08-04 13:59:51 EDT
ok. I moved this to the end.
Comment 5 Steve Tyler 2013-08-17 08:30:06 EDT
See also:
Bug 998083 - gnome-initial-setup runs on live image boot in current Rawhide

Note You need to log in before you can comment on or make changes to this bug.